Page MenuHomePhabricator

OO.ui.DropdownWidget doesn't respond to typing like <select> does
Closed, ResolvedPublic

Description

When using an ordinary <select> in Firefox and Chromium (and probably other browsers), you can type letters at it and it will jump to the first item in the list that matches those letters. See for example https://en.wikipedia.org/wiki/Special:ApiSandbox, open the "Action" dropdown and type "feedw": the selection will first jump to "fancycaptchareload", then "featuredfeed", then "feedcontributions", then "feedwatchlist" as the letters are typed.

To be a useful replacement for <select>, OO.ui.DropdownWidget should have the same behavior.

Event Timeline

Anomie created this task.Feb 27 2015, 9:41 PM
Anomie raised the priority of this task from to Needs Triage.
Anomie updated the task description. (Show Details)
Anomie added a project: OOUI.
Anomie added a subscriber: Anomie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2015, 9:41 PM

Change 213321 had a related patch set uploaded (by Anomie):
SelectWidget: Listen to keypresses and jump to matching items

https://gerrit.wikimedia.org/r/213321

matmarex closed this task as Resolved.May 25 2015, 7:18 PM
matmarex assigned this task to Anomie.
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.

Change 213321 merged by jenkins-bot:
SelectWidget: Listen to keypresses and jump to matching items

https://gerrit.wikimedia.org/r/213321

Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Jun 3 2015, 9:13 PM